<?

class Ui_timer_fast {

	static function tick() {
		GLOBAL $log, $Graphs, $GOP;

		// чтобы не было бесконечного каскада ошибок если программа заглючила. По крайней мере на старте программы это срабатывает
		if(empty($GLOBALS['root_form_init']))
			return true;
	
		// Событие "Скроллинг скроллбара с инфой"
		if(Event_detect::scroll($GOP['scrollbox_info_test_obj'])) { // надо передать объект внутри скроллбара
			
			// Перерисовка графиков
			if(isset($GLOBALS['All_canvas']))
			    foreach($GLOBALS['All_canvas'] as $obj)
			        $obj-> canvas_refresh();
			
			// убрали из-за глюков с прокруткой и на windows 10 жопа какая то 
			// Меняем ширину верхнего фона-градиента
			// автоматически это работает не правильно если есть прокрутка
			// $bg = c('bg_grad');
			// $scrollbox_info = c('scrollbox_info');
			// $bg->w = $s = Scrollbox::get_client_width($scrollbox_info);
		}


		// Событие Изменился размер блока где графики итд
		if(Event_detect::scrollbox_resize('scrollbox_info')) {
			//$log->line('Событие Scrollbox_info resize');
			
			Ui_adapt_size::adapt_objs_right_scrollbox();

			/* здесь перерисовка не спасает, график фрагментов все равно оказывается не отрисован
			// Перерисовка графиков
			if(isset($GLOBALS['All_canvas']))
			    foreach($GLOBALS['All_canvas'] as $obj)
			        $obj->canvas_refresh();
			*/
		}
	}
}

?>